options:
  install-sources:
    type: string
    default: |
      - "ppa:opencontrail/ppa"
      - "ppa:opencontrail/r2.20"
    description: Package sources for install
  install-keys:
    type: string
    description: Apt keys for package install sources
  openstack-origin:
    type: string
    default: distro
    description: |
      Repository from which to install.  May be one of the following:
      distro (default), ppa:somecustom/ppa, a deb url sources entry,
      or a supported Cloud Archive release pocket.

      Supported Cloud Archive sources include: cloud:precise-folsom,
      cloud:precise-folsom/updates, cloud:precise-folsom/staging,
      cloud:precise-folsom/proposed.
  region:
    type: string
    default: RegionOne
    description: OpenStack Region
  cloud-admin-role:
    type: string
    default: admin
    description: Admin Keystone role
  read-only-role:
    type: string
    description: Global read-only Keystone role
  control-network:
    type: string
    description: |
      The IP address and netmask of the control network (e.g. 192.168.0.0/24).
      This network will be used for Contrail endpoints.
      If not specified, default network will be used.
  ssl-ca:
    type: string
    description: PEM encoded X.509 CA certificate for use in SSL.
  encap-priority:
    type: string
    default: MPLSoUDP,MPLSoGRE,VXLAN
    description: |
      Priority list of network protocol encapsulations to use (comma separated)
  floating-ip-pools:
    type: string
    description: |
      Floating IP pools to create.

      Using a YAML encoded string specify one or more floating IP pools using a
      list of maps, where each map consists of the following attributes:

      project - project name
      network - network name
      pool-name - floating pool name
      target-projects - list of projects allowed to use pool

      For example:

      // create a floating ip pool named floatingip_pool on admin:public network
      // and allow admin project to use
      [ { project: admin, network: public, pool-name: floatingip_pool, target-projects: [ admin ] } ]
  vip:
    type: string
    description: |
      Virtual IP address to use when services are related in a High Availability
      configuration.
  cassandra-units:
    type: int
    default: 1
    description: Minimum number of units required in cassandra relation
